Subject: [jose] #182: PBSE2 should be PBKDF2

From: "jose issue tracker" <[email-masked]>
Date: Mon, 19 Aug 2013 22:10:00 -0000

#182: PBSE2 should be PBKDF2

 In going back and scanning RFC 2898, PBES2 combines a password-based key
 derivation function, which shall be PBKDF2 (Section 5.2) for this version
 of PKCS #5, with an underlying encryption scheme.

 However we are just using it as a KDF function rather than the combined
 function.

-- 
-------------------------+-------------------------------------------------
 Reporter:               |      Owner:  draft-ietf-jose-json-web-
  [email-masked] |  [email-masked]
     Type:  defect       |     Status:  new
 Priority:  Editorial    |  Milestone:
Component:  json-web-    |    Version:
  algorithms             |   Keywords:
 Severity:  -            |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/jose/trac/ticket/182>
jose <http://tools.ietf.org/jose/>

---

From: "jose issue tracker" <[email-masked]>
Date: Fri, 23 Aug 2013 02:08:58 -0000

Comment (by [email-masked]):

 Do you agree with this proposed change, Matt?

  algorithms             |  Resolution:
 Keywords:               |

Ticket URL: <http://trac.tools.ietf.org/wg/jose/trac/ticket/182#comment:1>
jose <http://tools.ietf.org/jose/>

---

From: "Matt Miller (mamille2)" <[email-masked]>
Date: Mon, 26 Aug 2013 17:28:50 +0000

> However we are just using it as a KDF function rather than the combined

That is not correct.  The (encrypt) algorithm expects a Content Encryption Key as an input, and the output is the wrapped Content Encryption Key, not the derived key.

- m&m

Matt Miller < [email-masked] >
Cisco Systems, Inc.

---

From: Richard Barnes <[email-masked]>
Date: Tue, 27 Aug 2013 09:25:58 -0400

/me goes and looks at PKCS#5
<http://tools.ietf.org/html/rfc2898#section-6.2>

Indeed, PBES2 is very generally defined.  To summarize:
1. Derive key with PBKDF2
2. Encrypt content with some encryption algorithm

That's exactly what we're doing here (with AES-KW as they encryption
algorithm), so PBES seems appropriate.

On Mon, Aug 26, 2013 at 1:28 PM, Matt Miller (mamille2)
<[email-masked]>wrote:

> That is not correct.  The (encrypt) algorithm expects a Content Encryption
> Key as an input, and the output is the wrapped Content Encryption Key, not
> the derived key.
>
>
> - m&m
>
> _______________________________________________
> jose mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jose
>
>

---

From: "Jim Schaad" <[email-masked]>
Date: Thu, 29 Aug 2013 15:52:32 -0700

> -----Original Message-----
> From: Matt Miller (mamille2) [mailto:[email-masked]]
> Sent: Monday, August 26, 2013 10:29 AM
> To: jose issue tracker
> Cc: <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> Subject: Re: [jose] #182: PBSE2 should be PBKDF2
> 

As long as we never implement PBES2-HS256+Direct then I can agree with this.

Jim

---

From: Mike Jones <[email-masked]>
Date: Thu, 29 Aug 2013 22:54:55 +0000

Can you close this one as "wontfix" then Jim?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jim Schaad
Sent: Thursday, August 29, 2013 3:53 PM
To: 'Matt Miller (mamille2)'; 'jose issue tracker'
Cc: [email-masked]; [email-masked]
Subject: Re: [jose] #182: PBSE2 should be PBKDF2

> > However we are just using it as a KDF function rather than the 
> > combined function.
> >
> 
> That is not correct.  The (encrypt) algorithm expects a Content 
> Encryption Key as an input, and the output is the wrapped Content 
> Encryption Key, not the derived key.

Jim

---

From: "jose issue tracker" <[email-masked]>
Date: Thu, 29 Aug 2013 22:57:01 -0000

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => wontfix

Comment:

 As long as we never implement PBSE2-HS256+Direct then it is ok to leave as
 it is.  We are actually specifying KW as an encryption function so it does
 fall into the PBSE2 realm.  With direct this is not be the case.

-- 
-------------------------+-------------------------------------------------
 Reporter:               |       Owner:  draft-ietf-jose-json-web-
  [email-masked] |  [email-masked]
     Type:  defect       |      Status:  closed
 Priority:  Editorial    |   Milestone:
Component:  json-web-    |     Version:
  algorithms             |  Resolution:  wontfix
 Severity:  -            |
 Keywords:               |
-------------------------+-------------------------------------------------

Ticket URL: <http://tools.ietf.org/wg/jose/trac/ticket/182#comment:2>
jose <http://tools.ietf.org/jose/>